1. Watch
Affiliate.com API Documentation
  • Affiliate.com API Endpoints
    • Account
      • Get User Team Account Information
    • Network Groups
      • List All Network Groups
    • Networks
      • List All Networks
      • Get Single Specific Network
    • Merchants
      • List All Merchants
      • Get Single Specific Merchant Name
      • Get a Single Specific Merchant ID
    • Products
      • Search Products
    • Omni
      • Omni
    • Conversion
      • URL to Barcode
      • Barcode to SKU
      • ASIN to Barcode
      • SKU to Barcode
      • Barcode to ASIN
    • Watch
      • Set Product Watch
        POST
      • Get All Product Watches
        GET
      • Get Specific Product Watch
        GET
      • Get Specific Product Watch from Metadata
        GET
      • Edit Product Watch
        PUT
      • Delete Product Watch
        DELETE
      • Get Single Product Watch Notification History
        GET
      • Get Product Watch Notification History via Metadata
        GET
    • Product List
      • Create Product List
      • Get Product Lists
      • Get Single List
      • Get List By Metadata
      • Add Products to a List
      • Remove Products from a List
      • Delete Product List
  1. Watch

Delete Product Watch

Testing
DELETE
/v1/products/watches/{watch_id}

Request

Path Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request DELETE '/v1/products/watches/9e571c36-a1fb-4faa-a29e-c08f5ef6e484' \
--header 'Authorization: Bearer {{token}}'

Responses

🟢200OK
application/json
Body

Example
{
    "watch_id": "string",
    "status": "string",
    "meta": {
        "trace_id": "string"
    }
}
🟠429Rate Limit Exceeded
Modified at 2025-04-21 14:54:09
Previous
Edit Product Watch
Next
Get Single Product Watch Notification History